CREATE TABLE IF NOT EXISTS event_battery_info (
  _id INTEGER primary key autoincrement,
  time INTEGER,
  event_id INTEGER,
  battery_level INTEGER,
  battery_voltage INTEGER,
  charge_status INTEGER,
  battery_temperature INTEGER
);

CREATE TABLE IF NOT EXISTS event_app_power_info (
  _id INTEGER primary key autoincrement,
  time INTEGER,
  event_id INTEGER,
  uid INTEGER,
  app_id INTEGER,
  cpu_time INTEGER,
  cpu_fore_time INTEGER,
  wakelock_time INTEGER,
  tcp_send_bytes INTEGER,
  tcp_receive_bytes INTEGER,
  wifi_running_time INTEGER,
  wifi_scanning_time INTEGER,
  wifi_full_time INTEGER,
  gps_time INTEGER,
  total_time INTEGER,
  total_power INTEGER
);

CREATE TABLE IF NOT EXISTS screen_power_usage (
  _id INTEGER PRIMARY KEY AUTOINCREMENT,
  timestamp INTEGER,
  dark_level INTEGER,
  dim_level INTEGER,
  medium_level INTEGER,
  light_level INTEGER,
  bright_level INTEGER
);

--Create view for event_app_power_info,
CREATE VIEW IF NOT EXISTS v_event_app_power_info AS
    SELECT _id, time, r.event_type as event, app.package_name, app.app_name, total_power, app.app_id,
    cpu_time, cpu_fore_time
    FROM event_app_power_info
    JOIN app ON event_app_power_info.app_id = app.app_id
   	JOIN sys_event r ON event_app_power_info.event_id = r.event_id;
   	