-- tables for location from R3 release

CREATE TABLE IF NOT EXISTS location_profile (
  location_id INTEGER PRIMARY KEY,
  location_name TEXT,
  auto_optimized INTEGER,
  bed_time_enabled INTEGER
);

-- location_type:
-- SSID(0)
-- Address(1)
CREATE TABLE IF NOT EXISTS location_entry (
  location_id_skey INTEGER,
  location_type INTEGER,
  location_info TEXT,

  PRIMARY KEY (location_id_skey, location_type)
);

-- control_value:
-- NOT_MANAGED = 0;
-- ON = 1;
-- OFF = 2;

-- control_type:
-- WIFI = 0;
-- DATA = 1;
-- BLUETOOTH = 2;
-- SOUND = 3;
-- VIBRATE = 4;
-- BRIGHTNESS = 5;

-- control_category:
-- CATEGORY_AUTO_OPTIMIZE(0)
-- CATEGORY_BED_TIME(1)
CREATE TABLE IF NOT EXISTS location_control_config (
  location_id_skey INTEGER,
  control_category INTEGER,
  control_type INTEGER,
  control_value INTEGER,
  update_time INTEGER,

  PRIMARY KEY (location_id_skey, control_category, control_type)
);

-- insert 4 locations by default
INSERT INTO location_profile(location_id,location_name,auto_optimized,bed_time_enabled) values (0, 'Home', 0, 0);
INSERT INTO location_profile(location_id,location_name,auto_optimized,bed_time_enabled) values (1, 'Work', 0, 0);
INSERT INTO location_profile(location_id,location_name,auto_optimized,bed_time_enabled) values (2, 'Out', 0, 0);
INSERT INTO location_profile(location_id,location_name,auto_optimized,bed_time_enabled) values (3, 'Car', 0, 0);