CREATE TABLE db_operation_log ( action TEXT NOT NULL, table_name TEXT NOT NULL, criteria TEXT, update_time INTEGER);

CREATE TRIGGER after_appgroup_delete after delete ON app_group
    BEGIN
      INSERT INTO db_operation_log(action, table_name, criteria, update_time)
      VALUES ('DELETE','app_group','group_name='''||old.group_name||'''',strftime('%s','now')*1000 + 1000); END;

CREATE TRIGGER after_preferencestore_delete after delete ON preference_store
    BEGIN
      INSERT INTO db_operation_log(action, table_name, criteria, update_time)
      VALUES ('DELETE','preference_store','category='''||old.category||''''||' and key='''||old.key||'''',strftime('%s','now')*1000 + 1000); END;

CREATE TRIGGER after_locationprofile_delete after delete ON location_profile
    BEGIN
      INSERT INTO db_operation_log(action, table_name, criteria, update_time)
      VALUES ('DELETE','location_profile','location_id='||old.location_id,strftime('%s','now')*1000 + 1000); END;

CREATE TRIGGER after_locationentry_delete after delete ON location_entry
    BEGIN
      INSERT INTO db_operation_log(action, table_name, criteria, update_time)
      VALUES ('DELETE','location_entry','location_id='||old.location_id_skey,strftime('%s','now')*1000 + 1000); END;

CREATE TRIGGER after_locationcontrolconfig_delete after delete ON location_control_config
    BEGIN
      INSERT INTO db_operation_log(action, table_name, criteria, update_time)
      VALUES ('DELETE','location_control_config','location_id='||old.location_id_skey,strftime('%s','now')*1000 + 1000); END;
