CREATE TABLE IF NOT EXISTS location_address (
  address_id  INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
  address     TEXT NOT NULL,
  latitude    DOUBLE NOT NULL,
  longitude   DOUBLE NOT NULL,
  update_time INTEGER,
  UNIQUE(latitude,longitude)
);

CREATE TABLE IF NOT EXISTS location_address_log (
  address_id   INTEGER NOT NULL,
  wifi_ssid    TEXT,
  event_id     INTEGER,
  log_time     INTEGER NOT NULL PRIMARY KEY
);

CREATE INDEX IF NOT EXISTS location_address_log_on_address ON location_address_log (address_id,log_time);

CREATE TABLE IF NOT EXISTS location_address_learning (
  location_id     INTEGER NOT NULL,
  address_id      INTEGER NOT NULL,
  wifi_ssid       TEXT,
  learning_type   INTEGER NOT NULL,
  learning_state  INTEGER NOT NULL,
  update_time     INTEGER,
  UNIQUE(address_id,learning_type)
);